IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/20
Addresses2^108
/64 networks2^44
- Network
fc0f:1000::/20- First address
fc0f:1000::- Last address
fc0f:1fff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 324,518,553,658,426,726,783,156,020,576,256 (2^108)
- /64 networks (LANs)
- 17,592,186,044,416 (2^44)
- Full form
fc0f:1000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
1.f.0.c.f.ip6.arpa
Split into smaller subnets
fc0f:1000::/20 makes 4,096 subnets of /32; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fc0f:1000::/32 | fc0f:1000:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fc0f:1001::/32 | fc0f:1001:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fc0f:1002::/32 | fc0f:1002:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fc0f:1003::/32 | fc0f:1003:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fc0f:1004::/32 | fc0f:1004:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fc0f:1005::/32 | fc0f:1005:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fc0f:1006::/32 | fc0f:1006:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fc0f:1007::/32 | fc0f:1007:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fc0f:1008::/32 | fc0f:1008:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fc0f:1009::/32 | fc0f:1009:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fc0f:100a::/32 | fc0f:100a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fc0f:100b::/32 | fc0f:100b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fc0f:100c::/32 | fc0f:100c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fc0f:100d::/32 | fc0f:100d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fc0f:100e::/32 | fc0f:100e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fc0f:100f::/32 | fc0f:100f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fc0f:1010::/32 | fc0f:1010:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fc0f:1011::/32 | fc0f:1011:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fc0f:1012::/32 | fc0f:1012:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fc0f:1013::/32 | fc0f:1013:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fc0f:1014::/32 | fc0f:1014:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fc0f:1015::/32 | fc0f:1015:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fc0f:1016::/32 | fc0f:1016:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fc0f:1017::/32 | fc0f:1017:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fc0f:1018::/32 | fc0f:1018:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fc0f:1019::/32 | fc0f:1019:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fc0f:101a::/32 | fc0f:101a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fc0f:101b::/32 | fc0f:101b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fc0f:101c::/32 | fc0f:101c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fc0f:101d::/32 | fc0f:101d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fc0f:101e::/32 | fc0f:101e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fc0f:101f::/32 | fc0f:101f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fc0f:1020::/32 | fc0f:1020:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fc0f:1021::/32 | fc0f:1021:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fc0f:1022::/32 | fc0f:1022:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fc0f:1023::/32 | fc0f:1023:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fc0f:1024::/32 | fc0f:1024:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fc0f:1025::/32 | fc0f:1025:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fc0f:1026::/32 | fc0f:1026:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fc0f:1027::/32 | fc0f:1027:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fc0f:1028::/32 | fc0f:1028:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fc0f:1029::/32 | fc0f:1029:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fc0f:102a::/32 | fc0f:102a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fc0f:102b::/32 | fc0f:102b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fc0f:102c::/32 | fc0f:102c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fc0f:102d::/32 | fc0f:102d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fc0f:102e::/32 | fc0f:102e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fc0f:102f::/32 | fc0f:102f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fc0f:1030::/32 | fc0f:1030:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fc0f:1031::/32 | fc0f:1031:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fc0f:1032::/32 | fc0f:1032:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fc0f:1033::/32 | fc0f:1033:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fc0f:1034::/32 | fc0f:1034:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fc0f:1035::/32 | fc0f:1035:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fc0f:1036::/32 | fc0f:1036:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fc0f:1037::/32 | fc0f:1037:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fc0f:1038::/32 | fc0f:1038:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fc0f:1039::/32 | fc0f:1039:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fc0f:103a::/32 | fc0f:103a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fc0f:103b::/32 | fc0f:103b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fc0f:103c::/32 | fc0f:103c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fc0f:103d::/32 | fc0f:103d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fc0f:103e::/32 | fc0f:103e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fc0f:103f::/32 | fc0f:103f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fc0f:1040::/32 | fc0f:1040:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fc0f:1041::/32 | fc0f:1041:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fc0f:1042::/32 | fc0f:1042:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fc0f:1043::/32 | fc0f:1043:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fc0f:1044::/32 | fc0f:1044:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fc0f:1045::/32 | fc0f:1045:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fc0f:1046::/32 | fc0f:1046:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fc0f:1047::/32 | fc0f:1047:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fc0f:1048::/32 | fc0f:1048:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fc0f:1049::/32 | fc0f:1049:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fc0f:104a::/32 | fc0f:104a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fc0f:104b::/32 | fc0f:104b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fc0f:104c::/32 | fc0f:104c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fc0f:104d::/32 | fc0f:104d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fc0f:104e::/32 | fc0f:104e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fc0f:104f::/32 | fc0f:104f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fc0f:1050::/32 | fc0f:1050:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fc0f:1051::/32 | fc0f:1051:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fc0f:1052::/32 | fc0f:1052:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fc0f:1053::/32 | fc0f:1053:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fc0f:1054::/32 | fc0f:1054:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fc0f:1055::/32 | fc0f:1055:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fc0f:1056::/32 | fc0f:1056:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fc0f:1057::/32 | fc0f:1057:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fc0f:1058::/32 | fc0f:1058:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fc0f:1059::/32 | fc0f:1059:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fc0f:105a::/32 | fc0f:105a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fc0f:105b::/32 | fc0f:105b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fc0f:105c::/32 | fc0f:105c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fc0f:105d::/32 | fc0f:105d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fc0f:105e::/32 | fc0f:105e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fc0f:105f::/32 | fc0f:105f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fc0f:1060::/32 | fc0f:1060:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fc0f:1061::/32 | fc0f:1061:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fc0f:1062::/32 | fc0f:1062:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fc0f:1063::/32 | fc0f:1063:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fc0f:1064::/32 | fc0f:1064:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fc0f:1065::/32 | fc0f:1065:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fc0f:1066::/32 | fc0f:1066:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fc0f:1067::/32 | fc0f:1067:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fc0f:1068::/32 | fc0f:1068:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fc0f:1069::/32 | fc0f:1069:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fc0f:106a::/32 | fc0f:106a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fc0f:106b::/32 | fc0f:106b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fc0f:106c::/32 | fc0f:106c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fc0f:106d::/32 | fc0f:106d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fc0f:106e::/32 | fc0f:106e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fc0f:106f::/32 | fc0f:106f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fc0f:1070::/32 | fc0f:1070:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fc0f:1071::/32 | fc0f:1071:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fc0f:1072::/32 | fc0f:1072:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fc0f:1073::/32 | fc0f:1073:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fc0f:1074::/32 | fc0f:1074:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fc0f:1075::/32 | fc0f:1075:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fc0f:1076::/32 | fc0f:1076:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fc0f:1077::/32 | fc0f:1077:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fc0f:1078::/32 | fc0f:1078:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fc0f:1079::/32 | fc0f:1079:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fc0f:107a::/32 | fc0f:107a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fc0f:107b::/32 | fc0f:107b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fc0f:107c::/32 | fc0f:107c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fc0f:107d::/32 | fc0f:107d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fc0f:107e::/32 | fc0f:107e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fc0f:107f::/32 | fc0f:107f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fc0f:1080::/32 | fc0f:1080:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fc0f:1081::/32 | fc0f:1081:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fc0f:1082::/32 | fc0f:1082:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fc0f:1083::/32 | fc0f:1083:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fc0f:1084::/32 | fc0f:1084:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fc0f:1085::/32 | fc0f:1085:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fc0f:1086::/32 | fc0f:1086:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fc0f:1087::/32 | fc0f:1087:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fc0f:1088::/32 | fc0f:1088:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fc0f:1089::/32 | fc0f:1089:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fc0f:108a::/32 | fc0f:108a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fc0f:108b::/32 | fc0f:108b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fc0f:108c::/32 | fc0f:108c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fc0f:108d::/32 | fc0f:108d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fc0f:108e::/32 | fc0f:108e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fc0f:108f::/32 | fc0f:108f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fc0f:1090::/32 | fc0f:1090:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fc0f:1091::/32 | fc0f:1091:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fc0f:1092::/32 | fc0f:1092:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fc0f:1093::/32 | fc0f:1093:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fc0f:1094::/32 | fc0f:1094:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fc0f:1095::/32 | fc0f:1095:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fc0f:1096::/32 | fc0f:1096:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fc0f:1097::/32 | fc0f:1097:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fc0f:1098::/32 | fc0f:1098:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fc0f:1099::/32 | fc0f:1099:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fc0f:109a::/32 | fc0f:109a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fc0f:109b::/32 | fc0f:109b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fc0f:109c::/32 | fc0f:109c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fc0f:109d::/32 | fc0f:109d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fc0f:109e::/32 | fc0f:109e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fc0f:109f::/32 | fc0f:109f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fc0f:10a0::/32 | fc0f:10a0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fc0f:10a1::/32 | fc0f:10a1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fc0f:10a2::/32 | fc0f:10a2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fc0f:10a3::/32 | fc0f:10a3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fc0f:10a4::/32 | fc0f:10a4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fc0f:10a5::/32 | fc0f:10a5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fc0f:10a6::/32 | fc0f:10a6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fc0f:10a7::/32 | fc0f:10a7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fc0f:10a8::/32 | fc0f:10a8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fc0f:10a9::/32 | fc0f:10a9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fc0f:10aa::/32 | fc0f:10aa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fc0f:10ab::/32 | fc0f:10ab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fc0f:10ac::/32 | fc0f:10ac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fc0f:10ad::/32 | fc0f:10ad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fc0f:10ae::/32 | fc0f:10ae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fc0f:10af::/32 | fc0f:10af:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fc0f:10b0::/32 | fc0f:10b0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fc0f:10b1::/32 | fc0f:10b1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fc0f:10b2::/32 | fc0f:10b2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fc0f:10b3::/32 | fc0f:10b3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fc0f:10b4::/32 | fc0f:10b4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fc0f:10b5::/32 | fc0f:10b5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fc0f:10b6::/32 | fc0f:10b6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fc0f:10b7::/32 | fc0f:10b7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fc0f:10b8::/32 | fc0f:10b8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fc0f:10b9::/32 | fc0f:10b9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fc0f:10ba::/32 | fc0f:10ba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fc0f:10bb::/32 | fc0f:10bb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fc0f:10bc::/32 | fc0f:10bc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fc0f:10bd::/32 | fc0f:10bd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fc0f:10be::/32 | fc0f:10be:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fc0f:10bf::/32 | fc0f:10bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fc0f:10c0::/32 | fc0f:10c0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fc0f:10c1::/32 | fc0f:10c1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fc0f:10c2::/32 | fc0f:10c2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fc0f:10c3::/32 | fc0f:10c3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fc0f:10c4::/32 | fc0f:10c4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fc0f:10c5::/32 | fc0f:10c5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fc0f:10c6::/32 | fc0f:10c6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fc0f:10c7::/32 | fc0f:10c7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fc0f:10c8::/32 | fc0f:10c8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fc0f:10c9::/32 | fc0f:10c9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fc0f:10ca::/32 | fc0f:10ca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fc0f:10cb::/32 | fc0f:10cb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fc0f:10cc::/32 | fc0f:10cc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fc0f:10cd::/32 | fc0f:10cd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fc0f:10ce::/32 | fc0f:10ce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fc0f:10cf::/32 | fc0f:10cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fc0f:10d0::/32 | fc0f:10d0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fc0f:10d1::/32 | fc0f:10d1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fc0f:10d2::/32 | fc0f:10d2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fc0f:10d3::/32 | fc0f:10d3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fc0f:10d4::/32 | fc0f:10d4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fc0f:10d5::/32 | fc0f:10d5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fc0f:10d6::/32 | fc0f:10d6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fc0f:10d7::/32 | fc0f:10d7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fc0f:10d8::/32 | fc0f:10d8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fc0f:10d9::/32 | fc0f:10d9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fc0f:10da::/32 | fc0f:10da:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fc0f:10db::/32 | fc0f:10db:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fc0f:10dc::/32 | fc0f:10dc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fc0f:10dd::/32 | fc0f:10dd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fc0f:10de::/32 | fc0f:10de:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fc0f:10df::/32 | fc0f:10df:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fc0f:10e0::/32 | fc0f:10e0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fc0f:10e1::/32 | fc0f:10e1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fc0f:10e2::/32 | fc0f:10e2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fc0f:10e3::/32 | fc0f:10e3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fc0f:10e4::/32 | fc0f:10e4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fc0f:10e5::/32 | fc0f:10e5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fc0f:10e6::/32 | fc0f:10e6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fc0f:10e7::/32 | fc0f:10e7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fc0f:10e8::/32 | fc0f:10e8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fc0f:10e9::/32 | fc0f:10e9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fc0f:10ea::/32 | fc0f:10ea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fc0f:10eb::/32 | fc0f:10eb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fc0f:10ec::/32 | fc0f:10ec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fc0f:10ed::/32 | fc0f:10ed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fc0f:10ee::/32 | fc0f:10ee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fc0f:10ef::/32 | fc0f:10ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fc0f:10f0::/32 | fc0f:10f0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fc0f:10f1::/32 | fc0f:10f1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fc0f:10f2::/32 | fc0f:10f2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fc0f:10f3::/32 | fc0f:10f3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fc0f:10f4::/32 | fc0f:10f4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fc0f:10f5::/32 | fc0f:10f5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fc0f:10f6::/32 | fc0f:10f6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fc0f:10f7::/32 | fc0f:10f7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fc0f:10f8::/32 | fc0f:10f8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fc0f:10f9::/32 | fc0f:10f9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fc0f:10fa::/32 | fc0f:10fa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fc0f:10fb::/32 | fc0f:10fb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fc0f:10fc::/32 | fc0f:10fc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fc0f:10fd::/32 | fc0f:10fd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fc0f:10fe::/32 | fc0f:10fe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fc0f:10ff::/32 | fc0f:10ff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |